# Uses of Enum Class
org.apache.lucene.util.automaton.CompiledAutomaton.AUTOMATON_TYPE

Packages that use CompiledAutomaton.AUTOMATON_TYPE
Package
Description
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.

- ## Uses of CompiledAutomaton.AUTOMATON_TYPE in org.apache.lucene.util.automaton

  Fields in org.apache.lucene.util.automaton declared as CompiledAutomaton.AUTOMATON_TYPE
  Modifier and Type
  Field
  Description
  `final CompiledAutomaton.AUTOMATON_TYPE`
  CompiledAutomaton.`type`
  If simplify is true this will be the "simplified" type; else, this is NORMAL
  Methods in org.apache.lucene.util.automaton that return CompiledAutomaton.AUTOMATON_TYPE
  Modifier and Type
  Method
  Description
  `static CompiledAutomaton.AUTOMATON_TYPE`
  CompiledAutomaton.AUTOMATON_TYPE.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CompiledAutomaton.AUTOMATON_TYPE[]`
  CompiledAutomaton.AUTOMATON_TYPE.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.